Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoListenerGainElement Class Reference
[Elements (mostly for internal use)]

The SoListenerGainElement class stores the SoListener gain during a scene graph traversal. More...

`#include <Inventor/elements/SoListenerGainElement.h>`

Inheritance diagram for SoListenerGainElement:

List of all members.

## Public Methods
virtual void | init (SoState *state)
## Static Public Methods
void | initClass (void)
void | set (SoState *const state, SoNode *const node, const float gain)
void | set (SoState *const state, const float gain)
float | get (SoState *const state)
## Protected Methods
virtual | ~SoListenerGainElement ()

## Detailed Description

The SoListenerGainElement class stores the SoListener gain during a scene graph traversal.

This gain is set by SoListener nodes during audio rendering. The SoListenerGainElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since:
  Coin 2.0

## Constructor & Destructor Documentation

SoListenerGainElement::~SoListenerGainElement | ( | void |  | ) | `[protected, virtual]`

| The destructor.

## Member Function Documentation

void SoListenerGainElement::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoFloatElement.

void SoListenerGainElement::init | ( | SoState * | state | ) | `[virtual]`

| This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects. Reimplemented from SoFloatElement.

void SoListenerGainElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const float | gain
| ) | `[static]`

| Sets the value of this element.

void SoListenerGainElement::set | ( | SoState *const | state,
|  | const float | gain
| ) | `[static]`

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

float SoListenerGainElement::get | ( | SoState *const | state | ) | `[static]`

| Returns the element value.

The documentation for this class was generated from the following files:

- SoListenerGainElement.h
- SoListenerGainElement.cpp